package dev.crucifixbeta.api.utils.camera;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.client.MinecraftClient;

@Environment(EnvType.CLIENT)
public class CameraState {
   public float lookYaw;
   public float lookPitch;
   public float transitionInitialYaw;
   public float transitionInitialPitch;
   public boolean doLock;
   public boolean doTransition;

   public float originalYaw() {
      return MinecraftClient.getInstance().getCameraEntity().getHeadYaw();
   }

   public float originalPitch() {
      return MinecraftClient.getInstance().getCameraEntity().getPitch();
   }
}
